Bug 1416855 (CVE-2017-3730) - CVE-2017-3730 openssl: Bad (EC)DHE parameters cause a client crash
Summary: CVE-2017-3730 openssl: Bad (EC)DHE parameters cause a client crash
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-3730
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1416858
TreeView+ depends on / blocked
 
Reported: 2017-01-26 15:39 UTC by Andrej Nemec
Modified: 2021-02-17 02:41 UTC (History)
46 users (show)

Fixed In Version: openssl 1.1.0d
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 11:58:43 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-26 15:39:44 UTC
If a malicious server supplies bad parameters for a DHE or ECDHE key exchange
then this can result in the client attempting to dereference a NULL pointer
leading to a client crash. This could be exploited in a Denial of Service
attack.

This issue does not affect OpenSSL version 1.0.2.

External References:

https://www.openssl.org/news/secadv/20170126.txt

Comment 2 Tomas Hoger 2017-01-31 11:58:43 UTC
This only affected OpenSSL 1.1.0, which is not currently included in any Red Hat product.


Note You need to log in before you can comment on or make changes to this bug.